# Class BlastResultEntry

java.lang.Object
org.snpeff.fileIterator.BlastResultEntry

All Implemented Interfaces:
  `Comparable<BlastResultEntry>`

public class BlastResultEntry extends Object implements Comparable<BlastResultEntry>

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`bitscore`
`double`
`evalue`
`int`
`gapopen`
`int`
`length`
`int`
`mismatch`
`double`
`pident`
`int`
`qend`
`String`
`qseqid`
`int`
`qstart`
`int`
`send`
`String`
`sseqid`
`int`
`sstart`

## Constructor Summary

Constructors
Constructor
Description
`BlastResultEntry()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(BlastResultEntry bre)`
`void`
`fixStartEnd()`
Swap start- end positions if they are not in order
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### qseqid

public String qseqid

### sseqid

public String sseqid

### pident

public double pident

### length

public int length

### mismatch

public int mismatch

### gapopen

public int gapopen

### qstart

public int qstart

### qend

public int qend

### sstart

public int sstart

### send

public int send

### evalue

public double evalue

### bitscore

public int bitscore

## Constructor Details

### BlastResultEntry

public BlastResultEntry()

## Method Details

### compareTo

public int compareTo(BlastResultEntry bre)

Specified by:
  `compareTo` in interface `Comparable<BlastResultEntry>`

### fixStartEnd

public void fixStartEnd()
Swap start- end positions if they are not in order

### toString

public String toString()

Overrides:
  `toString` in class `Object`